import { LoggerLevel } from './../libs/logger';
import { VarsProps } from './vars/vars.props';
export interface ElementBaseProps {
    id?: string;
    skip?: boolean;
    ignoreError?: boolean;
    log?: LoggerLevel;
    vars?: VarsProps;
    async?: boolean;
    loop?: string;
    if?: any;
}
export interface ElementProps {
    [key: string]: any;
    '->'?: string;
    '<-'?: string | string[];
    skip?: boolean;
    ignoreError?: boolean;
    title?: string;
    log?: LoggerLevel;
    vars?: VarsProps;
    loop?: string;
    if?: boolean;
    async?: string;
}
