import { InputSelectInterface } from './input-select.interface';
import { InputAbstract } from './input.abstract';
export declare class InputSelect extends InputAbstract<InputSelectInterface> {
    readonly type = "select";
    choices: Array<{
        title: string;
        value: any;
    }>;
    constructor({ choices, ...props }: Partial<InputSelectInterface>);
    exec(): Promise<boolean | null | undefined>;
}
