"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Vars = void 0;
const element_shadow_1 = require("../element-shadow");
class Vars extends element_shadow_1.ElementShadow {
    $$ignoreEvalProps = ['props'];
    props;
    constructor(props) {
        super();
        Object.assign(this, { props });
    }
    async exec() {
        const props = await this.scene.getVars(this.props, this);
        this.logger.trace('[%s] \t%j', this.tag, props);
        if (!props || Array.isArray(props) || typeof props !== 'object')
            return;
        this.scene.mergeVars(props);
        return props;
    }
}
exports.Vars = Vars;
//# sourceMappingURL=vars.js.map