import { Scene } from './../components/scene/scene';
export declare class PackagesManager {
    private readonly scene;
    private readonly bin?;
    private readonly logger;
    private readonly tag;
    private get cmdInstall();
    private get cmdUninstall();
    static get Dependencies(): any;
    constructor(scene: Scene);
    install(...packages: string[]): Promise<void>;
    uninstall(...packages: string[]): Promise<void>;
    clean(): Promise<string[]>;
    isInstalled(...packages: string[]): (string | undefined)[];
}
