import { Scene } from './../components/scene/scene';
export declare const ClassInFileCharacter = "'";
export declare class TagsManager {
    private readonly scene;
    modules: Record<string, any>;
    tags: Record<string, any>;
    constructor(scene: Scene);
    register(name: string, pathOfModule: string): void;
    setTag(name: string, obj: any): void;
    getTag(name: string): Promise<any>;
    reset(): void;
    loadElementClass(name: string, scene: Scene): Promise<any>;
}
