import { ElementShadow } from '../element-shadow';
import { Element } from '../element.interface';
import { GroupItemProps, GroupProps } from './group.props';
export declare class Group<GP extends GroupProps, GIP extends GroupItemProps> extends ElementShadow {
    $$ignoreEvalProps: string[];
    protected runs: GIP[];
    constructor(props: GP | GIP[]);
    newElement(nameOrClass: string | (new (...args: any[]) => Element), ...args: any[]): Promise<ElementShadow>;
    exec(parentState?: Record<string, any>): Promise<ElementShadow[]>;
    runEachOfElements(parentState?: Record<string, any>): Promise<ElementShadow[]>;
    private createAndExecuteElement;
}
