"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("../../testing");
const pause_1 = require("./pause");
let pause;
beforeEach(async () => {
    await testing_1.Testing.reset();
});
afterEach(async () => {
    await pause.dispose();
});
test('Should pause infinity', async () => {
    const start = Date.now();
    pause = await testing_1.Testing.newElement(pause_1.Pause);
    setTimeout(async () => {
        await pause.continue();
    }, 500);
    await pause.exec();
    expect(Date.now() - start).toBeGreaterThanOrEqual(500);
});
test('Should pause infinity', async () => {
    const start = Date.now();
    pause = await testing_1.Testing.newElement(pause_1.Pause);
    setTimeout(async () => {
        await pause.continue();
    }, 500);
    await pause.exec();
    expect(Date.now() - start).toBeGreaterThanOrEqual(500);
});
//# sourceMappingURL=pause.spec.js.map