"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ViewTable = void 0;
const view_1 = require("./view");
class ViewTable extends view_1.View {
    headers;
    constructor(eprops) {
        if (typeof eprops === 'object') {
            const { headers, ...props } = eprops;
            super(props);
            Object.assign(this, { headers });
        }
        else {
            super(eprops);
        }
    }
    print() {
        const arr = new Array(this.logger.indent).fill(null);
        arr.forEach(() => console.group());
        console.table(this.data, this.headers);
        arr.forEach(() => console.groupEnd());
    }
}
exports.ViewTable = ViewTable;
//# sourceMappingURL=view-table.js.map