"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Testing = void 0;
const root_scene_1 = require("./components/root-scene");
require("./managers/modules-manager");
const logger_1 = require("./libs/logger");
class Testing {
    static rootScene;
    static get vars() {
        return this.rootScene.localVars;
    }
    static get logger() {
        return this.rootScene.logger;
    }
    static async reset() {
        await Testing.rootScene?.dispose();
        Testing.rootScene = new root_scene_1.RootScene({ content: '[]' }, new logger_1.Logger(logger_1.LoggerLevel.SILENT));
        await Testing.rootScene.exec();
    }
    static async newElement(ElementClazz, ...args) {
        const elem = await this.rootScene.newElement(ElementClazz, ...args);
        return elem;
    }
}
exports.Testing = Testing;
void Testing.reset();
//# sourceMappingURL=testing.js.map